// pages/productinfo/productinfo.js
Page({

    /**
     * Page initial data
     */
    data: {
      url: null,
    },

    /**
     * Lifecycle function--Called when page load
     */
    onLoad(options) {
      var base_url = getApp().globalData.server_url + '/api/product-info/';
      var url = base_url + options.serial_code + '/';
      console.log(url);
      this.setData({
        url: url,
      })
    },

    /**
     * Lifecycle function--Called when page is initially rendered
     */
    onReady() {

    },

    /**
     * Lifecycle function--Called when page show
     */
    onShow() {

    },

    /**
     * Lifecycle function--Called when page hide
     */
    onHide() {

    },

    /**
     * Lifecycle function--Called when page unload
     */
    onUnload() {

    },

    /**
     * Page event handler function--Called when user drop down
     */
    onPullDownRefresh() {

    },

    /**
     * Called when page reach bottom
     */
    onReachBottom() {

    },

    /**
     * Called when user click on the top right corner to share
     */
    onShareAppMessage() {

    }
})
